Home

Get historical keys

GET
https://xtz-index.nownodes.io/v1/bigmaps/{id}/historical_keys/{level}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns a list of bigmap keys at the specific block.

Parameters

idinteger<int32>requiredpath

Bigmap Id

levelinteger<int32>requiredpath

Level of the block at which you want to get bigmap keys

activeboolean | nullquery

Filters keys by status: true - active, false - removed.

keyobject | nullquery

Filters keys by JSON key. Note, this query parameter supports the following format: ?key{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?key.token_id=....

valueobject | nullquery

Filters keys by JSON value. Note, this query parameter supports the following format: ?value{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?value.balance.gt=....

selectobject | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortobject | nullquery

Sorts bigmap keys by specified field. Supported fields: id (default).

offsetobject | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelinestringJsonJsonStringRawRawStringJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Successful response.

400Bad Request

Invalid request.